Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DSTEQR

    java.lang.Object
      org.netlib.lapack.DSTEQR

    public class DSTEQR

extends java.lang.Object

    DSTEQR is a simplified interface to the JLAPACK routine dsteqr.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DSTEQR computes all eigenvalues and, optionally, eigenvectors of a
     *  symmetric tridiagonal matrix using the implicit QL or QR method.
     *  The eigenvectors of a full or band symmetric matrix can also be found
     *  if DSYTRD or DSPTRD or DSBTRD has been used to reduce this matrix to

     *  tridiagonal form.
     *
     *  Arguments
     *  =========
     *
     *  COMPZ   (input) CHARACTER*1
     *          = 'N':  Compute eigenvalues only.
     *          = 'V':  Compute eigenvalues and eigenvectors of the original

     *                  symmetric matrix.  On entry, Z must contain the
     *                  orthogonal matrix used to reduce the original matrix

     *                  to tridiagonal form.
     *          = 'I':  Compute eigenvalues and eigenvectors of the
     *                  tridiagonal matrix.  Z is initialized to the identity
     *                  matrix.
     *
     *  N       (input) INTEGER
     *          The order of the matrix.  N >= 0.
     *
     *  D       (input/output) DOUBLE PRECISION array, dimension (N)
     *          On entry, the diagonal elements of the tridiagonal matrix.
     *          On exit, if INFO = 0, the eigenvalues in ascending order.
     *
     *  E       (input/output) DOUBLE PRECISION array, dimension (N-1)
     *          On entry, the (n-1) subdiagonal elements of the tridiagonal
     *          matrix.
     *          On exit, E has been destroyed.
     *
     *  Z       (input/output) DOUBLE PRECISION array, dimension (LDZ, N)
     *          On entry, if  COMPZ = 'V', then Z contains the orthogonal
     *          matrix used in the reduction to tridiagonal form.
     *          On exit, if INFO = 0, then if  COMPZ = 'V', Z contains the
     *          orthonormal eigenvectors of the original symmetric matrix,
     *          and if COMPZ = 'I', Z contains the orthonormal eigenvectors
     *          of the symmetric tridiagonal matrix.
     *          If COMPZ = 'N', then Z is not referenced.
     *
     *  LDZ     (input) INTEGER
     *          The leading dimension of the array Z.  LDZ >= 1, and if
     *          eigenvectors are desired, then  LDZ >= max(1,N).
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (max(1,2*N-2))

     *          If COMPZ = 'N', then WORK is not referenced.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit
     *          < 0:  if INFO = -i, the i-th argument had an illegal value
     *          > 0:  the algorithm has failed to find all the eigenvalues in
     *                a total of 30*N iterations; if INFO = i, then i
     *                elements of E have not converged to zero; on exit, D
     *                and E contain the elements of a symmetric tridiagonal
     *                matrix which is orthogonally similar to the original
     *                matrix.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DSTEQR()`

Method Summary
`static void` | `DSTEQR(java.lang.String compz, int n, double[] d, double[] e, double[][] z, double[] work, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSTEQR

    public DSTEQR()

Method Detail

### DSTEQR

    public static void DSTEQR(java.lang.String compz,
                              int n,
                              double[] d,
                              double[] e,
                              double[][] z,
                              double[] work,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD